package com.nisum.ecomservice.config;


import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Bean;

@Bean
public class AppConfig {
    @Value("${orders.apiUrl}")
    private static String orderManagementUrl;

    @Value("${products.apiUrl}")
    private static String productsManagementUrl;

    @Value("${promos.apiUrl}")
    private static String promoManagementUrl;

    public static String getOrderManagementUrl() {
        return orderManagementUrl;
    }

    public static String getProductsManagementUrl() {
        return productsManagementUrl;
    }

    public static String getPromoManagementUrl() {
        return promoManagementUrl;
    }
}
